// Contact Page - Laptop 1024px
// All -  Mobile (L, M, S)

@media (min-width: 344px) and (max-width: 538px) {
    header {
        height: 350px;

        #main-nav {
            flex-direction: column;
            align-items: center;

            ul {
                flex-direction: column;
                align-items: center;
            }
        }
    }

    #contact-info {
        .contact-info {
            font-size: 12px;
        }
    }

    #contact-tagline {
        h1 {
            font-size: 50px;
        }
    }
}

@media (max-width: 669px) {
    footer {
        .footer-content {
            flex-direction: column;
            padding-top: 10px;
        }
    }
}

@media (max-width: 540px) {
    #home {
        &-c {
            .process {
                flex-direction: column;
                flex-wrap: nowrap;
                div {
                    width: unset;
                }
            }
        }
    }
}

// max-width: 658px
@media (max-width: 825px) {
    #home {
        &-a {
            .specials {
                flex-direction: column;
            }
        }

        &-b {
            .stats {
                flex-direction: column;

                div {
                    width: 100%;
                }
            }
        }

        &-c {
            .process {
                flex-direction: column;
                
                div {
                    width: unset;
                }
            }
        }
    }

    #about {
        &-a {
            .about-info {
                flex-direction: column;

                .bio-img {
                    max-width: unset;
                }
            }
        }

        &-c {
            .about-logos {
                flex-wrap: wrap;
                height: unset;

                img {
                    width: 100px;
                }
            }
        }
    }
}

// max-width: 1024px
@media (max-width: 1283px) {
    #home {
        // &-a {
        //     .specials {
        //         flex-wrap: wrap;
        //         justify-content: center;
        //         align-items: center;
        //     }
        // }

        &-b {
            .stats {
                flex-direction: column;

                div {
                    width: 100%;
                }
            }
        }

        // &-c {
        //     .process {
        //         flex-wrap: wrap;
        //         div {
        //             width: 45%;
        //         }
        //     }
        // }
    }

    #about {

        &-d {
            .testimonials {
                display: flex;
                flex-wrap: wrap;
                justify-content: center;
                align-items: center;
                gap: 30px;

                div {
                    width: 45%;
                }
            }
        }
    }

    #contact {
        &-form {
            .text-field {
                display: flex;
                flex-wrap: nowrap;
            }
            .name-input,
            .subject-input,
            .email-input,
            .phone-input,
            .message-input {
                flex-grow: 1;
            }
        }
    }
}
